- NAME
- SYNOPSIS
- DESCRIPTION
- FUNCTIONS
  - CurrentUser
  - loc LOC_STRING

# NAME

RT::Base

# SYNOPSIS

# DESCRIPTION

# FUNCTIONS

## CurrentUser

If called with an argument, sets the current user to that user object. This will affect ACL decisions, etc. The argument can be either RT::CurrentUser or RT::User object.

Returns the current user object of RT::CurrentUser class.

## loc LOC_STRING

l is a method which takes a loc string to this object's CurrentUser->LanguageHandle for localization.

you call it like this:

        $self->loc("I have [quant,_1,concrete mixer,concrete mixers].", 6);

In english, this would return: I have 6 concrete mixers.

← Back to index